INSERT IGNORE INTO `{#}widgets_pages` (`controller`, `name`, `title_const`, `title_subject`, `title`, `url_mask`, `url_mask_not`) VALUES
('content', 'blogs.all', 'LANG_WP_CONTENT_ALL_PAGES', NULL, NULL, 'blogs\nblogs-*\nblogs/*', NULL),
('content', 'blogs.list', 'LANG_WP_CONTENT_LIST', NULL, NULL, 'blogs\nblogs-*\nblogs/*', 'blogs/*.html\nblogs/add\nblogs/add/%\nblogs/addcat\nblogs/addcat/%\nblogs/editcat/%\nblogs/edit/*'),
('content', 'blogs.item', 'LANG_WP_CONTENT_ITEM', NULL, NULL, 'blogs/*.html', NULL);

DROP TABLE IF EXISTS `{#}con_blogs`;
CREATE TABLE `{#}con_blogs` (
	`id` int(10) UNSIGNED NOT NULL,
	`title` varchar(100) DEFAULT NULL,
	`content` text,
	`photo` text,
	`slug` varchar(100) DEFAULT NULL,
	`seo_keys` varchar(256) DEFAULT NULL,
	`seo_desc` varchar(256) DEFAULT NULL,
	`seo_title` varchar(256) DEFAULT NULL,
	`tags` varchar(1000) DEFAULT NULL,
	`date_pub` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
	`date_last_modified` timestamp NULL DEFAULT NULL,
	`date_pub_end` timestamp NULL DEFAULT NULL,
	`is_pub` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
	`hits_count` int(11) UNSIGNED NOT NULL DEFAULT '0',
	`user_id` int(11) UNSIGNED DEFAULT NULL,
	`parent_id` int(11) UNSIGNED DEFAULT NULL,
	`parent_type` varchar(32) DEFAULT NULL,
	`parent_title` varchar(100) DEFAULT NULL,
	`parent_url` varchar(255) DEFAULT NULL,
	`is_parent_hidden` tinyint(1) UNSIGNED DEFAULT NULL,
	`category_id` int(11) UNSIGNED NOT NULL DEFAULT '1',
	`folder_id` int(11) UNSIGNED DEFAULT NULL,
	`is_comments_on` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
	`comments` int(11) UNSIGNED NOT NULL DEFAULT '0',
	`rating` int(11) NOT NULL DEFAULT '0',
	`is_deleted` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_approved` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
	`approved_by` int(11) UNSIGNED DEFAULT NULL,
	`date_approved` timestamp NULL DEFAULT NULL,
	`is_private` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (`id`),
	KEY `slug` (`slug`),
	KEY `date_pub` (`is_pub`,`is_parent_hidden`,`is_deleted`,`is_approved`,`date_pub`),
	KEY `parent_id` (`parent_id`,`parent_type`,`date_pub`),
	KEY `user_id` (`user_id`,`date_pub`),
	KEY `date_pub_end` (`date_pub_end`),
	KEY `category_id` (`category_id`),
	KEY `folder_id` (`folder_id`),
	KEY `approved_by` (`approved_by`),
	FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


INSERT INTO `{#}con_blogs` (`id`, `title`, `content`, `photo`, `slug`, `seo_keys`, `seo_desc`, `seo_title`, `tags`, `date_pub`, `date_last_modified`, `date_pub_end`, `is_pub`, `hits_count`, `user_id`, `parent_id`, `parent_type`, `parent_title`, `parent_url`, `is_parent_hidden`, `category_id`, `folder_id`, `is_comments_on`, `comments`, `rating`, `is_deleted`, `is_approved`, `approved_by`, `date_approved`, `is_private`) VALUES
(1, 'Пример блога админа', NULL, NULL, '1-primer-bloga-admina', NULL, NULL, NULL, NULL, '2016-06-03 10:26:55', NULL, NULL, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, 0, NULL, 1, 0, 1, NULL, 1, NULL, NULL, 0),
(25, 'Васин блог', NULL, NULL, '25-vasin-blog', NULL, NULL, NULL, NULL, '2016-12-31 07:39:21', NULL, NULL, 1, 0, 2, NULL, NULL, NULL, NULL, NULL, 0, NULL, 1, 0, 0, NULL, 1, NULL, NULL, 0);
	

DROP TABLE IF EXISTS `{#}con_blogs_cats`;
CREATE TABLE `{#}con_blogs_cats` (
	`id` int(11) UNSIGNED NOT NULL,
	`parent_id` int(11) UNSIGNED DEFAULT NULL,
	`title` varchar(200) DEFAULT NULL,
	`description` text,
	`slug` varchar(255) DEFAULT NULL,
	`slug_key` varchar(255) DEFAULT NULL,
	`seo_keys` varchar(256) DEFAULT NULL,
	`seo_desc` varchar(256) DEFAULT NULL,
	`seo_title` varchar(256) DEFAULT NULL,
	`ordering` int(11) UNSIGNED DEFAULT NULL,
	`ns_left` int(11) UNSIGNED DEFAULT NULL,
	`ns_right` int(11) UNSIGNED DEFAULT NULL,
	`ns_level` int(11) UNSIGNED DEFAULT NULL,
	`ns_differ` varchar(32) NOT NULL DEFAULT '',
	`ns_ignore` tinyint(4) UNSIGNED NOT NULL DEFAULT '0',
	`allow_add` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


ALTER IGNORE TABLE `{#}con_blogs_cats`
ADD PRIMARY KEY (`id`),
ADD KEY `slug` (`slug`),
ADD KEY `parent_id` (`parent_id`,`ns_left`),
ADD KEY `ns_left` (`ns_level`,`ns_right`,`ns_left`),
ADD KEY `ordering` (`ordering`);


INSERT INTO `{#}con_blogs_cats` (`id`, `parent_id`, `title`, `description`, `slug`, `slug_key`, `seo_keys`, `seo_desc`, `seo_title`, `ordering`, `ns_left`, `ns_right`, `ns_level`, `ns_differ`, `ns_ignore`, `allow_add`) VALUES
(1, 0, '---', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, 2, 0, '', 0, NULL);

DROP TABLE IF EXISTS `{#}con_blogs_cats_bind`;
CREATE TABLE `{#}con_blogs_cats_bind` (
	`item_id` int(11) UNSIGNED DEFAULT NULL,
	`category_id` int(11) UNSIGNED DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER IGNORE TABLE `{#}con_blogs_cats_bind`
ADD KEY `item_id` (`item_id`),
ADD KEY `category_id` (`category_id`);

DROP TABLE IF EXISTS `{#}con_blogs_fields`;
CREATE TABLE `{#}con_blogs_fields` (
	`id` int(10) UNSIGNED NOT NULL,
	`ctype_id` int(11) UNSIGNED DEFAULT NULL,
	`name` varchar(40) DEFAULT NULL,
	`title` varchar(100) DEFAULT NULL,
	`hint` varchar(200) DEFAULT NULL,
	`ordering` int(11) UNSIGNED DEFAULT NULL,
	`fieldset` varchar(32) DEFAULT NULL,
	`type` varchar(16) DEFAULT NULL,
	`is_in_list` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_in_item` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_in_filter` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_private` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_fixed` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_fixed_type` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_system` tinyint(1) UNSIGNED DEFAULT NULL,
	`values` text,
	`options` text,
	`groups_read` text,
	`groups_edit` text,
	`filter_view` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


ALTER IGNORE TABLE `{#}con_blogs_fields`
ADD PRIMARY KEY (`id`),
ADD KEY `ordering` (`ordering`);  

INSERT INTO `{#}con_blogs_fields` (`id`, `ctype_id`, `name`, `title`, `hint`, `ordering`, `fieldset`, `type`, `is_in_list`, `is_in_item`, `is_in_filter`, `is_private`, `is_fixed`, `is_fixed_type`, `is_system`, `values`, `options`, `groups_read`, `groups_edit`, `filter_view`) VALUES
(1, 12, 'title', 'Заголовок', NULL, 1, NULL, 'caption', 1, 1, 1, NULL, 1, 1, 0, NULL, '---\nlabel_in_list: none\nlabel_in_item: none\nmin_length: 3\nmax_length: 255\nis_required: true\n', NULL, NULL, NULL),
(2, 12, 'date_pub', 'Дата публикации', NULL, 2, NULL, 'date', 1, 1, 1, NULL, 1, 1, 1, NULL, '---\nlabel_in_list: none\nlabel_in_item: left\nshow_time: true\n', NULL, NULL, NULL),
(3, 12, 'user', 'Автор', NULL, 3, NULL, 'user', 1, 1, 0, NULL, 1, 1, 1, NULL, '---\nlabel_in_list: none\nlabel_in_item: left\n', NULL, NULL, NULL),
(4, 12, 'photo', 'Изображение', NULL, 4, NULL, 'image', 1, 1, NULL, NULL, 1, NULL, NULL, NULL, '---\nsize_teaser: small\nsize_full: normal\nsizes:\n  - micro\n  - small\n  - normal\n  - big\n', NULL, NULL, NULL),
(5, 12, 'content', 'Описание', NULL, 5, NULL, 'text', 1, 1, NULL, NULL, 1, NULL, NULL, NULL, '---\nlabel_in_list: none\nlabel_in_item: none\n', NULL, NULL, NULL);


DROP TABLE IF EXISTS `{#}con_blogs_props`;
CREATE TABLE `{#}con_blogs_props` (
	`id` int(10) UNSIGNED NOT NULL,
	`ctype_id` int(11) UNSIGNED DEFAULT NULL,
	`title` varchar(100) DEFAULT NULL,
	`fieldset` varchar(32) DEFAULT NULL,
	`type` varchar(16) DEFAULT NULL,
	`is_in_filter` tinyint(1) UNSIGNED DEFAULT NULL,
	`values` text,
	`options` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER IGNORE TABLE `{#}con_blogs_props`
ADD PRIMARY KEY (`id`),
ADD KEY `is_in_filter` (`is_in_filter`);

ALTER IGNORE TABLE `{#}con_blogs_props`
MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT; 

DROP TABLE IF EXISTS `{#}con_blogs_props_bind`;
CREATE TABLE `{#}con_blogs_props_bind` (
	`id` int(10) UNSIGNED NOT NULL,
	`prop_id` int(11) UNSIGNED DEFAULT NULL,
	`cat_id` int(11) UNSIGNED DEFAULT NULL,
	`ordering` int(11) UNSIGNED DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER IGNORE TABLE `{#}con_blogs_props_bind`
ADD PRIMARY KEY (`id`),
ADD KEY `prop_id` (`prop_id`),
ADD KEY `cat_id` (`cat_id`),
ADD KEY `ordering` (`ordering`);

ALTER IGNORE TABLE `{#}con_blogs_props_bind`
MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;  

DROP TABLE IF EXISTS `{#}con_blogs_props_values`;
CREATE TABLE `{#}con_blogs_props_values` (
	`prop_id` int(11) UNSIGNED DEFAULT NULL,
	`item_id` int(11) UNSIGNED DEFAULT NULL,
	`value` varchar(255) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER IGNORE TABLE `{#}con_blogs_props_values`
ADD KEY `prop_id` (`prop_id`),
ADD KEY `item_id` (`item_id`); 

INSERT INTO `cms_content_types` (`title`, `name`, `description`, `is_date_range`, `is_premod_add`, `is_premod_edit`, `is_cats`, `is_cats_recursive`, `is_folders`, `is_in_groups`, `is_in_groups_only`, `is_comments`, `is_comments_tree`, `is_rating`, `is_rating_pos`, `is_tags`, `is_auto_keys`, `is_auto_desc`, `is_auto_url`, `is_fixed_url`, `url_pattern`, `options`, `labels`, `seo_keys`, `seo_desc`, `seo_title`, `item_append_html`, `is_fixed`) VALUES
('Блоги', 'blogs', 'Личные блоги пользователей', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, 1, NULL, 1, 1, 1, 1, NULL, '{id}-{title}',
'---\nis_date_range_process: hide\nis_empty_root: null\nis_cats_multi: null\nis_cats_change: null\nis_cats_open_root: null\nis_cats_only_last: null\nis_show_cats: null\nis_tags_in_list: 1\nis_tags_in_item: 1\nis_rss: 1\nlist_on: 1\nprofile_on: 1\nlist_show_filter: null\nlist_expand_filter: null\nlist_style:\nprivacy_type: hide\nlimit: 15\nitem_on: 1\nis_show_fields_group: null\nhits_on: 1\nis_manual_title: null\nseo_title_pattern:\nseo_keys_pattern:\nseo_desc_pattern:\nis_cats_title: null\nis_cats_keys: null\nis_cats_desc: null\nis_cats_auto_url: 1\n',
'---\none: блог\ntwo: блога\nmany: блогов\ncreate: блог\nlist:\nprofile:\n', NULL, NULL, NULL, NULL, NULL);

INSERT IGNORE INTO `cms_con_posts_fields` (`id`, `ctype_id`, `name`, `title`, `hint`, `ordering`, `fieldset`, `type`, `is_in_list`, `is_in_item`, `is_in_filter`, `is_private`, `is_fixed`, `is_fixed_type`, `is_system`, `values`, `options`, `groups_read`, `groups_edit`, `filter_view`) VALUES
(6, 6, 'parent_blogs_id', 'Блог', NULL, 1, NULL, 'parent', 1, 1, NULL, NULL, 1, 1, NULL, NULL, '---\nrelation_id: 6\nlabel_in_list: none\nlabel_in_item: left\nwrap_type: auto\nwrap_width:\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\nprofile_value:\n', '---\n- 0\n', '---\n- 0\n', '---\n- 0\n');

ALTER IGNORE TABLE `{#}con_posts` ADD `parent_blogs_id` varchar(1024) DEFAULT NULL AFTER `picture`;

