INSERT IGNORE INTO `{#}widgets_pages` (`controller`, `name`, `title_const`, `title_subject`, `title`, `url_mask`, `url_mask_not`) VALUES
('content', 'catalog.all', 'LANG_WP_CONTENT_ALL_PAGES', NULL, NULL, 'catalog\ncatalog-*\ncatalog/*', NULL),
('content', 'catalog.list', 'LANG_WP_CONTENT_LIST', NULL, NULL, 'catalog\ncatalog-*\ncatalog/*', 'catalog/*.html\ncatalog/add\ncatalog/add/%\ncatalog/addcat\ncatalog/addcat/%\ncatalog/editcat/%\ncatalog/edit/*'),
('content', 'catalog.item', 'LANG_WP_CONTENT_ITEM', NULL, NULL, 'catalog/*.html', NULL);

DROP TABLE IF EXISTS `{#}con_catalog`;
CREATE TABLE `{#}con_catalog` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `slug` varchar(100) DEFAULT NULL,
  `seo_keys` varchar(256) DEFAULT NULL,
  `seo_desc` varchar(256) DEFAULT NULL,
  `seo_title` varchar(256) DEFAULT NULL,
  `tags` varchar(1000) DEFAULT NULL,
  `date_pub` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_last_modified` timestamp NULL DEFAULT NULL,
  `date_pub_end` timestamp NULL DEFAULT NULL,
  `is_pub` tinyint(1) DEFAULT '1',
  `hits_count` int(11) DEFAULT '0',
  `user_id` int(11) unsigned DEFAULT NULL,
  `parent_id` int(11) unsigned DEFAULT NULL,
  `parent_type` varchar(32) DEFAULT NULL,
  `parent_title` varchar(100) DEFAULT NULL,
  `parent_url` varchar(255) DEFAULT NULL,
  `is_parent_hidden` tinyint(1) DEFAULT NULL,
  `category_id` int(11) unsigned NOT NULL DEFAULT '1',
  `folder_id` int(11) unsigned DEFAULT NULL,
  `is_comments_on` tinyint(1) unsigned DEFAULT '1',
  `comments` int(11) NOT NULL DEFAULT '0',
  `rating` int(11) NOT NULL DEFAULT '0',
  `is_deleted` tinyint(1) unsigned DEFAULT NULL,
  `is_approved` tinyint(1) NOT NULL DEFAULT '1',
  `approved_by` int(11) DEFAULT NULL,
  `date_approved` timestamp NULL DEFAULT NULL,
  `is_private` tinyint(1) NOT NULL DEFAULT '0',
  `photo` text,
  `photos` text,
  `price` float DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `approved_by` (`approved_by`),
  KEY `folder_id` (`folder_id`),
  KEY `slug` (`slug`),
  KEY `date_pub` (`is_pub`,`is_parent_hidden`,`is_deleted`,`is_approved`,`date_pub`),
  KEY `parent_id` (`parent_id`,`parent_type`,`date_pub`),
  KEY `user_id` (`user_id`,`date_pub`),
  KEY `date_pub_end` (`date_pub_end`),
  KEY `dataset_cheap` (`is_pub`,`is_parent_hidden`,`is_deleted`,`is_approved`,`price`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

INSERT IGNORE INTO `{#}con_catalog` (`id`, `title`, `content`, `slug`, `seo_keys`, `seo_desc`, `seo_title`, `tags`, `date_pub`, `date_last_modified`, `date_pub_end`, `is_pub`, `hits_count`, `user_id`, `parent_id`, `parent_type`, `parent_title`, `parent_url`, `is_parent_hidden`, `category_id`, `folder_id`, `is_comments_on`, `comments`, `rating`, `is_approved`, `approved_by`, `date_approved`, `is_private`, `photo`, `photos`, `price`, `phone`) VALUES
(7, 'Продам квартиру в новостройке', 'Хорошая, просторная квартира с двумя этажами. Есть вся необходимая мебель.\r\nАгентов просьба не беспокоить. Реальному покупателю - торг.\r\nФотографии by abahasep @ deviantart.com', '7-prodam-kvartiru-v-novostroike', 'хорошая, необходимая, этажами, двумя, просторная, квартира, мебель.\rагентов, просьба, abahasep, deviantart.com', 'Хорошая, просторная квартира с двумя этажами. Есть вся необходимая мебель.\r Агентов просьба не беспокоить. Реальному покупателю - торг.\r Фотографии by abahasep @ deviantart.com', NULL, NULL, DATE_SUB(NOW(),INTERVAL 5 MINUTE), DATE_SUB(NOW(),INTERVAL 5 MINUTE), NULL, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, 3, NULL, 1, 0, 0, 1, NULL, DATE_SUB(NOW(),INTERVAL 5 MINUTE), 0, '---\noriginal: u1/004/abda415c.jpg\nbig: u1/004/3cc38009.jpg\nnormal: u1/004/29a7c938.jpg\nsmall: u1/004/8d391531.jpg\nmicro: u1/004/8b15968b.jpg\n', '---\n- \n  original: u1/004/11ee105b.jpg\n  big: u1/004/4bda72dd.jpg\n  normal: u1/004/d5ee5098.jpg\n  small: u1/004/08e78cd6.jpg\n  micro: u1/004/7d68bada.jpg\n- \n  original: u1/004/b996b3f8.jpg\n  big: u1/004/1b6fe453.jpg\n  normal: u1/004/9c09db8a.jpg\n  small: u1/004/64a79d25.jpg\n  micro: u1/004/82c0e4f6.jpg\n- \n  original: u1/004/bb7b8fda.jpg\n  big: u1/004/82645d44.jpg\n  normal: u1/004/af2a1ec7.jpg\n  small: u1/004/f9c36ec4.jpg\n  micro: u1/004/9e67cb10.jpg\n', 5500000, '100-20-30');

DROP TABLE IF EXISTS `{#}con_catalog_cats`;
CREATE TABLE `{#}con_catalog_cats` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT NULL,
  `title` varchar(200) DEFAULT NULL,
  `description` text NULL DEFAULT NULL,
  `slug` varchar(255) DEFAULT NULL,
  `slug_key` varchar(255) DEFAULT NULL,
  `seo_keys` varchar(256) DEFAULT NULL,
  `seo_desc` varchar(256) DEFAULT NULL,
  `seo_title` varchar(256) DEFAULT NULL,
  `ordering` int(11) DEFAULT NULL,
  `ns_left` int(11) DEFAULT NULL,
  `ns_right` int(11) DEFAULT NULL,
  `ns_level` int(11) DEFAULT NULL,
  `ns_differ` varchar(32) NOT NULL DEFAULT '',
  `ns_ignore` tinyint(4) NOT NULL DEFAULT '0',
  `allow_add` text,
  PRIMARY KEY (`id`),
  KEY `ordering` (`ordering`),
  KEY `slug` (`slug`),
  KEY `ns_left` (`ns_level`,`ns_right`,`ns_left`),
  KEY `parent_id` (`parent_id`,`ns_left`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT IGNORE INTO `{#}con_catalog_cats` (`id`, `parent_id`, `title`, `slug`, `slug_key`, `seo_keys`, `seo_desc`, `seo_title`, `ordering`, `ns_left`, `ns_right`, `ns_level`, `ns_differ`, `ns_ignore`) VALUES
(1, 0, '---', NULL, NULL, NULL, NULL, NULL, 1, 1, 24, 0, '', 0),
(2, 1, 'Недвижимость', 'nedvizhimost', NULL, NULL, NULL, NULL, 1, 2, 7, 1, '', 0),
(3, 2, 'Квартиры', 'nedvizhimost/kvartiry', NULL, NULL, NULL, NULL, 1, 3, 4, 2, '', 0),
(4, 2, 'Коттеджи', 'nedvizhimost/kottedzhi', NULL, NULL, NULL, NULL, 2, 5, 6, 2, '', 0),
(5, 1, 'Автомобили', 'avtomobili', NULL, NULL, NULL, NULL, 2, 8, 17, 1, '', 0),
(8, 1, 'Работа', 'rabota', NULL, NULL, NULL, NULL, 3, 18, 23, 1, '', 0),
(9, 8, 'Вакансии', 'rabota/vakansii', NULL, NULL, NULL, NULL, 1, 19, 20, 2, '', 0),
(10, 8, 'Резюме', 'rabota/rezyume', NULL, NULL, NULL, NULL, 2, 21, 22, 2, '', 0),
(11, 5, 'Audi', 'avtomobili/audi', NULL, NULL, NULL, NULL, 1, 9, 10, 2, '', 0),
(12, 5, 'Ford', 'avtomobili/ford', NULL, NULL, NULL, NULL, 2, 11, 12, 2, '', 0),
(13, 5, 'Renault', 'avtomobili/renault', NULL, NULL, NULL, NULL, 3, 13, 14, 2, '', 0),
(14, 5, 'Kia', 'avtomobili/kia', NULL, NULL, NULL, NULL, 4, 15, 16, 2, '', 0);

DROP TABLE IF EXISTS `{#}con_catalog_cats_bind`;
CREATE TABLE `{#}con_catalog_cats_bind` (
  `item_id` int(11) DEFAULT NULL,
  `category_id` int(11) DEFAULT NULL,
  KEY `item_id` (`item_id`),
  KEY `category_id` (`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT IGNORE INTO `{#}con_catalog_cats_bind` (`item_id`, `category_id`) VALUES
(7, 3);

DROP TABLE IF EXISTS `{#}con_catalog_fields`;
CREATE TABLE `{#}con_catalog_fields` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ctype_id` int(11) DEFAULT NULL,
  `name` varchar(40) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `hint` varchar(200) DEFAULT NULL,
  `ordering` int(11) DEFAULT NULL,
  `fieldset` varchar(32) DEFAULT NULL,
  `type` varchar(16) DEFAULT NULL,
  `is_in_list` tinyint(1) DEFAULT NULL,
  `is_in_item` tinyint(1) DEFAULT NULL,
  `is_in_filter` tinyint(1) DEFAULT NULL,
  `is_private` tinyint(1) DEFAULT NULL,
  `is_fixed` tinyint(1) DEFAULT NULL,
  `is_fixed_type` tinyint(1) DEFAULT NULL,
  `is_system` tinyint(1) DEFAULT NULL,
  `values` text,
  `options` text,
  `groups_read` text,
  `groups_edit` text,
  `filter_view` text,
  PRIMARY KEY (`id`),
  KEY `ordering` (`ordering`),
  KEY `is_in_list` (`is_in_list`),
  KEY `is_in_item` (`is_in_item`),
  KEY `is_in_filter` (`is_in_filter`),
  KEY `is_private` (`is_private`),
  KEY `is_fixed` (`is_fixed`),
  KEY `is_fixed_type` (`is_fixed_type`),
  KEY `is_system` (`is_system`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT IGNORE INTO `{#}con_catalog_fields` (`id`, `ctype_id`, `name`, `title`, `hint`, `ordering`, `fieldset`, `type`, `is_in_list`, `is_in_item`, `is_in_filter`, `is_private`, `is_fixed`, `is_fixed_type`, `is_system`, `values`, `options`, `groups_read`, `groups_edit`) VALUES
(1, 9, 'title', 'Заголовок объявления', NULL, 1, NULL, 'caption', 1, 1, NULL, NULL, 1, 1, 0, NULL, '---\nlabel_in_list: left\nlabel_in_item: none\nis_required: 1\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\nprofile_value:\n', '---\n- 0\n', '---\n- 0\n'),
(2, 9, 'date_pub', 'Дата добавления', NULL, 4, NULL, 'date', 1, 1, 1, NULL, 1, 1, 1, NULL, '---\nlabel_in_list: none\nlabel_in_item: left\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\n', '---\n- 0\n', '---\n- 0\n'),
(3, 9, 'user', 'Автор', NULL, 5, NULL, 'user', NULL, 1, NULL, NULL, 1, 1, 1, NULL, '---\nlabel_in_list: none\nlabel_in_item: left\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\n', '---\n- 0\n', '---\n- 0\n'),
(4, 9, 'content', 'Текст объявления', NULL, 6, NULL, 'text', NULL, 1, NULL, NULL, 1, NULL, NULL, NULL, '---\nmin_length: 0\nmax_length: 2048\nis_html_filter: 1\nlabel_in_list: none\nlabel_in_item: none\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\n', '---\n- 0\n', '---\n- 0\n'),
(5, 9, 'photo', 'Фотография', NULL, 2, NULL, 'image', 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, '---\nsize_teaser: small\nsize_full: normal\nsizes:\n  - micro\n  - small\n  - normal\nlabel_in_list: none\nlabel_in_item: none\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\n', '---\n- 0\n', '---\n- 0\n'),
(6, 9, 'photos', 'Дополнительные фотографии', NULL, 3, NULL, 'images', NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, '---\nsize_teaser: small\nsize_full: big\nsizes:\n  - small\n  - big\nlabel_in_list: none\nlabel_in_item: none\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\n', '---\n- 0\n', '---\n- 0\n'),
(7, 9, 'price', 'Цена', NULL, 8, NULL, 'number', 1, 1, 1, NULL, NULL, NULL, NULL, NULL, '---\nfilter_range: 1\nunits: руб.\nlabel_in_list: left\nlabel_in_item: left\nis_required: 1\nis_digits: 1\nis_alphanumeric: null\nis_email: null\nis_unique: null\n', '---\n- 0\n', '---\n- 0\n'),
(8, 9, 'phone', 'Телефон', NULL, 7, NULL, 'string', NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, '---\nmin_length: 0\nmax_length: 255\nlabel_in_list: left\nlabel_in_item: left\nis_required: 1\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\nprofile_value: phone\n', '---\n- 0\n', '---\n- 0\n');

DROP TABLE IF EXISTS `{#}con_catalog_props`;
CREATE TABLE `{#}con_catalog_props` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ctype_id` int(11) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `fieldset` varchar(32) DEFAULT NULL,
  `type` varchar(16) DEFAULT NULL,
  `is_in_filter` tinyint(1) DEFAULT NULL,
  `values` text,
  `options` text,
  PRIMARY KEY (`id`),
  KEY `is_active` (`is_in_filter`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT IGNORE INTO `{#}con_catalog_props` (`id`, `ctype_id`, `title`, `fieldset`, `type`, `is_in_filter`, `values`, `options`) VALUES
(1, 9, 'Марка', NULL, 'list', 1, 'Audi\r\nBMW\r\nMercedes\r\nSkoda\r\nFiat', '---\nis_required: null\nis_multiple: null\n'),
(3, 9, 'Тип кузова', NULL, 'list', 1, 'Седан\r\nХэтчбек\r\nУниверсал\r\nМинивэн\r\nКроссовер', '---\nis_required: null\nunits:\nis_filter_range: null\nis_filter_multi: null\n'),
(6, 9, 'Год выпуска', NULL, 'number', 1, NULL, '---\nis_required: null\nunits:\nis_filter_range: 1\nis_filter_multi: null\n'),
(7, 9, 'Тип предложения', NULL, 'list', 1, 'Продам\r\nКуплю\r\nСдам\r\nСниму', '---\nunits:\nis_required: null\nis_filter_multi: null\n'),
(8, 9, 'Общая площадь', 'Площадь', 'number', NULL, NULL, '---\nunits: м²\nis_required: 1\nis_filter_multi: null\n'),
(9, 9, 'Количество комнат', 'Квартира', 'number', 1, NULL, '---\nis_required: 1\nunits:\nis_filter_range: 1\nis_filter_multi: null\n'),
(11, 9, 'Количество этажей', NULL, 'number', 1, NULL, NULL),
(12, 9, 'Есть гараж', NULL, 'list', 1, 'Да\r\nНет', NULL),
(13, 9, 'Тип дома', 'Дом', 'list', 1, 'Новостройка\r\nВторичка', '---\nunits:\nis_required: null\nis_filter_multi: 1\n'),
(14, 9, 'Пробег', NULL, 'number', 1, NULL, '---\nis_required: 1\nunits: км\nis_filter_range: 1\nis_filter_multi: null\n'),
(15, 9, 'Комплектация', NULL, 'list', NULL, 'Базовая\r\nСредняя\r\nМаксимальная', '---\nis_required: null\nunits:\nis_filter_range: null\nis_filter_multi: null\n'),
(16, 9, 'Жилая площадь', 'Площадь', 'number', NULL, NULL, '---\nunits: м²\nis_required: 1\nis_filter_multi: null\n'),
(17, 9, 'Есть балкон', 'Квартира', 'list', NULL, 'Да\r\nНет', '---\nunits:\nis_required: null\nis_filter_multi: null\n'),
(18, 9, 'Санузел', 'Квартира', 'list', NULL, 'Смежный\r\nРаздельный', '---\nunits:\nis_required: null\nis_filter_multi: null\n'),
(19, 9, 'Этаж', 'Дом', 'number', 1, NULL, '---\nis_required: 1\nunits:\nis_filter_range: 1\nis_filter_multi: null\n'),
(20, 9, 'Этажей в доме', 'Дом', 'number', NULL, NULL, '---\nunits:\nis_required: 1\nis_filter_multi: null\n'),
(21, 9, 'Модель', NULL, 'string', 1, NULL, '---\nis_required: 1\nunits:\nis_filter_range: null\nis_filter_multi: null\n'),
(22, 9, 'Объем двигателя', NULL, 'list', 1, '0.5\r\n0.6\r\n0.7\r\n0.8\r\n0.9\r\n1.0\r\n1.2\r\n1.4\r\n1.6\r\n1.8\r\n2.0\r\n2.2\r\n2.5\r\n3.0\r\n3.2\r\n>3', '---\nis_required: null\nunits:\nis_filter_range: null\nis_filter_multi: null\n'),
(23, 9, 'Трансмиссия', NULL, 'list', 1, 'Механическая\r\nАвтоматическая\r\nВариатор\r\nРобот', '---\nis_required: null\nunits:\nis_filter_range: null\nis_filter_multi: null\n'),
(24, 9, 'Цвет', NULL, 'string', NULL, NULL, '---\nis_required: 1\nunits:\nis_filter_range: null\nis_filter_multi: null\n'),
(25, 9, 'Модель Audi', NULL, 'list', 1, 'A1\r\nA2\r\nA3\r\nA4\r\nA5\r\nA6\r\nA7\r\nA8\r\nQ3\r\nQ5\r\nQ7\r\nTT', '---\nis_required: null\nunits:\nis_filter_range: null\nis_filter_multi: null\n'),
(26, 9, 'Модель Ford', NULL, 'list', 1, 'Escort\r\nExplorer\r\nFiesta\r\nFocus\r\nFocus C-Max\r\nFocus RS\r\nFocus ST\r\nFusion\r\nS-max\r\nScorpio', '---\nis_required: null\nunits:\nis_filter_range: null\nis_filter_multi: null\n'),
(27, 9, 'Модель Renault', NULL, 'list', 1, 'Clio\r\nDuster\r\nEspace\r\nFluence\r\nKangoo\r\nKoleos\r\nLatitude\r\nLogan\r\nMegane\r\nSandero', '---\nis_required: null\nunits:\nis_filter_range: null\nis_filter_multi: null\n'),
(28, 9, 'Модель Kia', NULL, 'list', 1, 'Ceed\r\nCerato\r\nMohave\r\nOptima\r\nPregio\r\nQuoris\r\nRio\r\nShuma\r\nSoul\r\nSpectra', '---\nis_required: null\nunits:\nis_filter_range: null\nis_filter_multi: null\n');

DROP TABLE IF EXISTS `{#}con_catalog_props_bind`;
CREATE TABLE `{#}con_catalog_props_bind` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `prop_id` int(11) DEFAULT NULL,
  `cat_id` int(11) DEFAULT NULL,
  `ordering` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `prop_id` (`prop_id`),
  KEY `ordering` (`cat_id`,`ordering`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT IGNORE INTO `{#}con_catalog_props_bind` (`id`, `prop_id`, `cat_id`, `ordering`) VALUES
(38, 7, 3, 1),
(39, 7, 4, 1),
(41, 8, 3, 5),
(42, 8, 4, 2),
(43, 9, 3, 7),
(45, 11, 4, 4),
(46, 12, 4, 5),
(47, 13, 3, 2),
(62, 16, 3, 6),
(63, 16, 4, 3),
(64, 17, 3, 8),
(65, 18, 3, 9),
(66, 19, 3, 3),
(67, 20, 3, 4),
(71, 6, 5, 2),
(72, 6, 11, 3),
(73, 6, 12, 3),
(74, 6, 13, 3),
(75, 6, 14, 3),
(76, 15, 5, 3),
(77, 15, 11, 4),
(78, 15, 12, 4),
(79, 15, 13, 4),
(80, 15, 14, 4),
(81, 14, 5, 4),
(82, 14, 11, 5),
(83, 14, 12, 5),
(84, 14, 13, 5),
(85, 14, 14, 5),
(86, 3, 5, 1),
(87, 3, 11, 2),
(88, 3, 12, 2),
(89, 3, 13, 2),
(90, 3, 14, 2),
(91, 22, 5, 5),
(92, 22, 11, 6),
(93, 22, 12, 6),
(94, 22, 13, 6),
(95, 22, 14, 6),
(96, 23, 5, 6),
(97, 23, 11, 7),
(98, 23, 12, 7),
(99, 23, 13, 7),
(100, 23, 14, 7),
(101, 24, 5, 7),
(102, 24, 11, 8),
(103, 24, 12, 8),
(104, 24, 13, 8),
(105, 24, 14, 8),
(106, 25, 11, 1),
(107, 26, 12, 1),
(108, 27, 13, 1),
(109, 28, 14, 1),
(110, 6, 10, 1),
(111, 17, 10, 2),
(112, 12, 10, 3),
(113, 16, 10, 4),
(114, 9, 10, 5),
(115, 11, 10, 6),
(116, 15, 10, 7),
(117, 1, 10, 8),
(118, 21, 10, 9),
(119, 25, 10, 10),
(120, 26, 10, 11),
(121, 28, 10, 12),
(122, 27, 10, 13),
(123, 8, 10, 14),
(124, 22, 10, 15),
(125, 14, 10, 16),
(126, 18, 10, 17),
(127, 13, 10, 18),
(128, 3, 10, 19),
(129, 7, 10, 20),
(130, 23, 10, 21),
(131, 24, 10, 22),
(132, 19, 10, 23),
(133, 20, 10, 24);

DROP TABLE IF EXISTS `{#}con_catalog_props_values`;
CREATE TABLE `{#}con_catalog_props_values` (
  `prop_id` int(11) DEFAULT NULL,
  `item_id` int(11) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  KEY `prop_id` (`prop_id`),
  KEY `item_id` (`item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT IGNORE INTO `{#}con_catalog_props_values` (`prop_id`, `item_id`, `value`) VALUES
(7, 7, '1'),
(13, 7, '1'),
(19, 7, '1'),
(20, 7, '2'),
(8, 7, '120'),
(16, 7, '100'),
(9, 7, '5'),
(17, 7, '1'),
(18, 7, '2');

INSERT IGNORE INTO `{#}content_types` (`title`, `name`, `description`, `is_date_range`, `is_premod_add`, `is_premod_edit`, `is_cats`, `is_cats_recursive`, `is_folders`, `is_in_groups`, `is_in_groups_only`, `is_comments`, `is_comments_tree`, `is_rating`, `is_rating_pos`, `is_tags`, `is_auto_keys`, `is_auto_desc`, `is_auto_url`, `is_fixed_url`, `url_pattern`, `options`, `labels`, `seo_keys`, `seo_desc`, `seo_title`, `item_append_html`, `is_fixed`) VALUES
('Объявления', 'catalog', 'Каталог', NULL, NULL, NULL, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, 1, 1, '{id}-{title}', '---\nis_cats_change: null\nis_cats_open_root: null\nis_cats_only_last: 1\nis_show_cats: 1\nis_tags_in_list: null\nis_tags_in_item: null\nis_rss: 1\nlist_on: 1\nprofile_on: 1\nlist_show_filter: 1\nlist_expand_filter: null\nlist_style: table\nitem_on: 1\nis_cats_keys: null\nis_cats_desc: null\nis_cats_auto_url: 1\n', '---\none: товар\ntwo: объявления\nmany: товаров\ncreate: товар\nlist: Каталог товаров\nprofile:\n', NULL, NULL, NULL, NULL, NULL);

