INSERT IGNORE INTO `{#}widgets_pages` (`controller`, `name`, `title_const`, `title_subject`, `title`, `url_mask`, `url_mask_not`) VALUES
('content', 'faq.all', 'LANG_WP_CONTENT_ALL_PAGES', NULL, NULL, 'faq\nfaq-*\nfaq/*', NULL),
('content', 'faq.list', 'LANG_WP_CONTENT_LIST', NULL, NULL, 'faq\nfaq-*\nfaq/*', 'faq/*.html\nfaq/add\nfaq/add/%\nfaq/addcat\nfaq/addcat/%\nfaq/editcat/%\nfaq/edit/*'),
('content', 'faq.item', 'LANG_WP_CONTENT_ITEM', NULL, NULL, 'faq/*.html', NULL);

DROP TABLE IF EXISTS `{#}con_faq`;

CREATE TABLE `{#}con_faq` (
	`id` int(10) UNSIGNED NOT NULL,
	`title` varchar(100) DEFAULT NULL,
	`content` text,
	`photo` text,
	`slug` varchar(100) DEFAULT NULL,
	`seo_keys` varchar(256) DEFAULT NULL,
	`seo_desc` varchar(256) DEFAULT NULL,
	`seo_title` varchar(256) DEFAULT NULL,
	`tags` varchar(1000) DEFAULT NULL,
	`date_pub` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
	`date_last_modified` timestamp NULL DEFAULT NULL,
	`date_pub_end` timestamp NULL DEFAULT NULL,
	`is_pub` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
	`hits_count` int(11) UNSIGNED NOT NULL DEFAULT '0',
	`user_id` int(11) UNSIGNED DEFAULT NULL,
	`parent_id` int(11) UNSIGNED DEFAULT NULL,
	`parent_type` varchar(32) DEFAULT NULL,
	`parent_title` varchar(100) DEFAULT NULL,
	`parent_url` varchar(255) DEFAULT NULL,
	`is_parent_hidden` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_deleted` tinyint(1) UNSIGNED DEFAULT NULL,
	`category_id` int(11) UNSIGNED NOT NULL DEFAULT '1',
	`folder_id` int(11) UNSIGNED DEFAULT NULL,
	`is_comments_on` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
	`comments` int(11) UNSIGNED NOT NULL DEFAULT '0',
	`rating` int(11) NOT NULL DEFAULT '0',
	`is_approved` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
	`approved_by` int(11) UNSIGNED DEFAULT NULL,
	`date_approved` timestamp NULL DEFAULT NULL,
	`is_private` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
	`answer` mediumtext
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `{#}con_faq`
ADD PRIMARY KEY (`id`),
ADD KEY `slug` (`slug`),
ADD KEY `date_pub` (`is_pub`,`is_parent_hidden`,`is_approved`,`date_pub`),
ADD KEY `parent_id` (`parent_id`,`parent_type`,`date_pub`),
ADD KEY `user_id` (`user_id`,`date_pub`),
ADD KEY `date_pub_end` (`date_pub_end`),
ADD KEY `category_id` (`category_id`),
ADD KEY `folder_id` (`folder_id`),
ADD KEY `approved_by` (`approved_by`);
ALTER TABLE `{#}con_faq` ADD FULLTEXT KEY `title` (`title`);

ALTER TABLE `{#}con_faq`
MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;


DROP TABLE IF EXISTS `{#}con_faq_fields`;
CREATE TABLE `{#}con_faq_fields` (
	`id` int(10) UNSIGNED NOT NULL,
	`ctype_id` int(11) UNSIGNED DEFAULT NULL,
	`name` varchar(20) DEFAULT NULL,
	`title` varchar(100) DEFAULT NULL,
	`hint` varchar(200) DEFAULT NULL,
	`ordering` int(11) UNSIGNED DEFAULT NULL,
	`fieldset` varchar(32) DEFAULT NULL,
	`type` varchar(16) DEFAULT NULL,
	`is_in_list` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_in_item` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_in_filter` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_private` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_fixed` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_fixed_type` tinyint(1) UNSIGNED DEFAULT NULL,
	`is_system` tinyint(1) UNSIGNED DEFAULT NULL,
	`values` text,
	`options` text,
	`groups_read` text,
	`groups_edit` text,
	`filter_view` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `{#}con_faq_fields` (`id`, `ctype_id`, `name`, `title`, `hint`, `ordering`, `fieldset`, `type`, `is_in_list`, `is_in_item`, `is_in_filter`, `is_private`, `is_fixed`, `is_fixed_type`, `is_system`, `values`, `options`, `groups_read`, `groups_edit`, `filter_view`) VALUES
(1, 11, 'title', 'Заголовок', NULL, 1, NULL, 'caption', 1, 1, 1, NULL, 1, 1, 0, NULL, '---\nlabel_in_list: none\nlabel_in_item: none\nmin_length: 3\nmax_length: 255\nis_required: true\n', NULL, NULL, NULL),
(2, 11, 'date_pub', 'Дата публикации', NULL, 2, NULL, 'date', 1, 1, 1, NULL, 1, 1, 1, NULL, '---\nlabel_in_list: none\nlabel_in_item: left\nshow_time: true\n', NULL, NULL, NULL),
(3, 11, 'user', 'Автор', NULL, 3, NULL, 'user', 1, 1, 0, NULL, 1, 1, 1, NULL, '---\nlabel_in_list: none\nlabel_in_item: left\n', NULL, NULL, NULL),
(4, 11, 'photo', 'Изображение', NULL, 4, NULL, 'image', 0, 0, NULL, NULL, 1, NULL, NULL, NULL, '---\nsize_teaser: small\nsize_full: normal\nsizes:\n  - micro\n  - small\n  - normal\n  - big\n', NULL, NULL, NULL),
(5, 11, 'content', 'Описание', NULL, 5, NULL, 'text', 1, 1, NULL, NULL, 1, NULL, NULL, NULL, '---\nlabel_in_list: none\nlabel_in_item: none\n', NULL, NULL, NULL),
(6, 11, 'answer', 'Ответ', 'Ответ на вопрос', 6, NULL, 'html', NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, '---\neditor: markitup\nis_html_filter: 1\nbuild_redirect_link: 1\nteaser_len:\nin_fulltext_search: null\nlabel_in_list: left\nlabel_in_item: left\nwrap_type: auto\nwrap_width:\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\nprofile_value:\n', '---\n- 0\n', '---\n- 0\n', '---\n- 0\n');

ALTER TABLE `{#}con_faq_fields`
ADD PRIMARY KEY (`id`),
ADD KEY `ordering` (`ordering`);

ALTER TABLE `{#}con_faq_fields`
MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

DROP TABLE IF EXISTS `{#}con_faq_props`;
CREATE TABLE `{#}con_faq_props` (
	`id` int(10) UNSIGNED NOT NULL,
	`ctype_id` int(11) UNSIGNED DEFAULT NULL,
	`title` varchar(100) DEFAULT NULL,
	`fieldset` varchar(32) DEFAULT NULL,
	`type` varchar(16) DEFAULT NULL,
	`is_in_filter` tinyint(1) UNSIGNED DEFAULT NULL,
	`values` text,
	`options` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `{#}con_faq_props`
ADD PRIMARY KEY (`id`),
ADD KEY `is_in_filter` (`is_in_filter`);

ALTER TABLE `{#}con_faq_props`
MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

DROP TABLE IF EXISTS `{#}con_faq_cats`;
CREATE TABLE `{#}con_faq_cats` (
	`id` int(11) UNSIGNED NOT NULL,
	`parent_id` int(11) UNSIGNED DEFAULT NULL,
	`title` varchar(200) DEFAULT NULL,
	`description` text,
	`slug` varchar(255) DEFAULT NULL,
	`slug_key` varchar(255) DEFAULT NULL,
	`seo_keys` varchar(256) DEFAULT NULL,
	`seo_desc` varchar(256) DEFAULT NULL,
	`seo_title` varchar(256) DEFAULT NULL,
	`ordering` int(11) UNSIGNED DEFAULT NULL,
	`ns_left` int(11) UNSIGNED DEFAULT NULL,
	`ns_right` int(11) UNSIGNED DEFAULT NULL,
	`ns_level` int(11) UNSIGNED DEFAULT NULL,
	`ns_differ` varchar(32) NOT NULL DEFAULT '',
	`ns_ignore` tinyint(4) UNSIGNED NOT NULL DEFAULT '0',
	`allow_add` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `cms_con_faq_cats`
ADD PRIMARY KEY (`id`),
ADD KEY `slug` (`slug`),
ADD KEY `parent_id` (`parent_id`,`ns_left`),
ADD KEY `ns_left` (`ns_level`,`ns_right`,`ns_left`),
ADD KEY `ordering` (`ordering`);

ALTER TABLE `cms_con_faq_cats`
MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;  

DROP TABLE IF EXISTS `{#}con_faq_cats_bind`;
CREATE TABLE `{#}con_faq_cats_bind` (
	`item_id` int(11) UNSIGNED DEFAULT NULL,
	`category_id` int(11) UNSIGNED DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `cms_con_faq_cats_bind`
ADD KEY `item_id` (`item_id`),
ADD KEY `category_id` (`category_id`);  

DROP TABLE IF EXISTS `{#}con_faq_props_bind`;
CREATE TABLE `{#}con_faq_props_bind` (
	`id` int(10) UNSIGNED NOT NULL,
	`prop_id` int(11) UNSIGNED DEFAULT NULL,
	`cat_id` int(11) UNSIGNED DEFAULT NULL,
	`ordering` int(11) UNSIGNED DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


ALTER TABLE `{#}con_faq_props_bind`
ADD PRIMARY KEY (`id`),
ADD KEY `prop_id` (`prop_id`),
ADD KEY `cat_id` (`cat_id`),
ADD KEY `ordering` (`ordering`);

ALTER TABLE `{#}con_faq_props_bind`
MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

DROP TABLE IF EXISTS `{#}con_faq_props_values`;
CREATE TABLE `{#}con_faq_props_values` (
	`prop_id` int(11) UNSIGNED DEFAULT NULL,
	`item_id` int(11) UNSIGNED DEFAULT NULL,
`value` varchar(255) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `{#}con_faq_props_values`
ADD KEY `prop_id` (`prop_id`),
ADD KEY `item_id` (`item_id`);

DELETE FROM `{#}content_types` WHERE `name` = 'faq';
INSERT INTO `{#}content_types` 
( `title`, `name`, `description`, `is_date_range`, `is_premod_add`, `is_premod_edit`, `is_cats`, `is_cats_recursive`, `is_folders`, `is_in_groups`, `is_in_groups_only`, `is_comments`, `is_comments_tree`, `is_rating`, `is_rating_pos`, `is_tags`, `is_auto_keys`, `is_auto_desc`, `is_auto_url`, `is_fixed_url`, `url_pattern`, `options`, `labels`, `seo_keys`, `seo_desc`, `seo_title`, `item_append_html`, `is_fixed`) VALUES
( 'Вопросы и ответы', 'faq', 'Вопросы и ответы', NULL, NULL, NULL, 1, 1, NULL, NULL, NULL, 1, 1, 1, NULL, NULL, 1, 1, 1, 1, '{id}-{title}', '---\nis_date_range_process: hide\nis_empty_root: null\nis_cats_multi: null\nis_cats_change: null\nis_cats_open_root: null\nis_cats_only_last: 1\nis_show_cats: 1\nis_tags_in_list: null\nis_tags_in_item: null\nis_rss: 1\nlist_on: 1\nprofile_on: 1\nlist_show_filter: 1\nlist_expand_filter: null\nlist_style:\nprivacy_type: hide\nlimit: 15\nitem_on: 1\nhits_on: null\nis_manual_title: null\nis_cats_title: null\nis_cats_keys: null\nis_cats_desc: null\nis_cats_auto_url: 1', '---\none: вопрос\ntwo: вопросы\nmany: вопросов\ncreate: вопрос\nlist: Вопросы и ответы\nprofile:\n', NULL, NULL, NULL, NULL, NULL);

