ALTER IGNORE TABLE `{#}users` ADD `forum_sign` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL AFTER `status_text`;
ALTER IGNORE TABLE `{#}users` ADD `forum_posts_count` INT(11) UNSIGNED NOT NULL DEFAULT '0' AFTER `status_text`;

DELETE FROM `{#}activity_types` WHERE `controller` = 'forum';
INSERT INTO `{#}activity_types` (`is_enabled`, `controller`, `name`, `title`, `description`) VALUES
(0, 'forum', 'add.thread', 'Добавление темы на форуме', 'на форуме добавляет тему %s'),
(0, 'forum', 'add.post', 'Добавление сообщений на форуме', 'на форуме добавляет сообщение в теме %s'),
(0, 'forum', 'vote.post', 'Оценка сообщений на форуме', 'на форуме оценил сообщение %s');

DELETE FROM `{#}controllers` WHERE `name` = 'forum';
INSERT INTO `{#}controllers` (`title`, `name`, `is_enabled`, `options`, `author`, `url`, `version`, `is_backend`, `is_external`) VALUES
('Форум', 'forum', 1, '---\ncan_moder:\n  - 0\nperpage_threads: 15\nis_rss: 1\nperpage_posts: 15\nfast_answer: 1\nfast_edit: 1\nshow_rating: 1\nfixed_first_post: null\neditor: markitup\nenable_file: 1\nfile_ext: >\n  txt, doc, zip, rar, arj, png, gif, jpg,\n  jpeg, bmp\nfile_max_size: 300\nseo_keys:\nseo_desc:\npost_interval: 60\ncats_level_view: 3\npreview_thread: 1\ncombine_post: 1\n', 'InstantCMS Team', 'http://www.instantcms.ru', '1.0', 1, 1);

DROP TABLE IF EXISTS `{#}forum_cats`;
CREATE TABLE IF NOT EXISTS `{#}forum_cats` (
  `id` int(11) unsigned NOT NULL,
  `parent_id` int(11) unsigned DEFAULT NULL,
  `title` varchar(200) DEFAULT NULL,
  `description` varchar(300) DEFAULT NULL,
  `slug` varchar(255) DEFAULT NULL,
  `slug_key` varchar(255) DEFAULT NULL,
  `seo_title` varchar(255) DEFAULT NULL,
  `seo_keys` varchar(255) DEFAULT NULL,
  `seo_desc` varchar(255) DEFAULT NULL,
  `is_pub` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `as_folder` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ns_left` int(11) unsigned DEFAULT NULL,
  `ns_right` int(11) unsigned DEFAULT NULL,
  `ns_level` int(11) unsigned DEFAULT NULL,
  `ns_ignore` tinyint(4) unsigned DEFAULT '0',
  `ns_differ` varchar(32) NOT NULL,
  `ordering` int(11) unsigned DEFAULT NULL,
  `icon` text,
  `topic_cost` float NOT NULL DEFAULT '0',
  `threads_count` int(11) unsigned NOT NULL DEFAULT '0',
  `posts_count` int(11) unsigned NOT NULL DEFAULT '0',
  `last_post` text,
  `moderators` text,
  `allow_read` text,
  `allow_add` text
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='Таблица с категориями форума';

ALTER IGNORE TABLE `{#}forum_cats` ADD PRIMARY KEY (`id`);

ALTER IGNORE TABLE `{#}forum_cats` MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1;

INSERT INTO `{#}forum_cats` (`parent_id`, `title`, `description`, `slug`, `slug_key`, `seo_title`, `seo_keys`, `seo_desc`, `is_pub`, `as_folder`, `ns_left`, `ns_right`, `ns_level`, `ns_ignore`, `ns_differ`, `ordering`, `icon`, `topic_cost`, `threads_count`, `posts_count`, `last_post`, `moderators`, `allow_read`, `allow_add`) VALUES
(0, 'Корневой раздел', '', 'all', NULL, '', '', '', 1, 1, 1, 2, 1, 0, '', 1, '', 0, 0, 0, NULL, NULL, NULL, NULL);



DROP TABLE IF EXISTS `{#}forum_notifiers`;
CREATE TABLE IF NOT EXISTS `{#}forum_notifiers` (
  `id` int(11) unsigned NOT NULL,
  `user_id` int(11) unsigned DEFAULT NULL,
  `thread_id` int(11) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Подписки пользователей на новые сообщения в темах';

ALTER IGNORE TABLE `{#}forum_notifiers` ADD PRIMARY KEY (`id`), ADD KEY `user_id` (`user_id`), ADD KEY `thread_id` (`thread_id`);

ALTER IGNORE TABLE `{#}forum_notifiers` MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT;

DROP TABLE IF EXISTS `{#}forum_polls`;
CREATE TABLE IF NOT EXISTS `{#}forum_polls` (
  `id` int(11) unsigned NOT NULL,
  `thread_id` int(11) unsigned NOT NULL,
  `title` varchar(200) NOT NULL,
  `description` text,
  `options` varchar(250) NOT NULL,
  `answers` text NOT NULL,
  `results` text,
  `date_pub_end` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Таблица с опросами форумов';

ALTER IGNORE TABLE `{#}forum_polls` ADD PRIMARY KEY (`id`), ADD KEY `thread_id` (`thread_id`);

ALTER IGNORE TABLE `{#}forum_polls` MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT;

DROP TABLE IF EXISTS `{#}forum_poll_votes`;
CREATE TABLE IF NOT EXISTS `{#}forum_poll_votes` (
  `id` int(11) NOT NULL,
  `poll_id` int(11) unsigned NOT NULL,
  `user_id` int(11) unsigned NOT NULL,
  `answer` varchar(255) DEFAULT NULL,
  `date_pub` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Таблица с голосами опросов форумов';

ALTER IGNORE TABLE `{#}forum_poll_votes` ADD PRIMARY KEY (`id`), ADD KEY `user_id` (`user_id`), ADD KEY `poll_id` (`poll_id`);

ALTER IGNORE TABLE `{#}forum_poll_votes` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

DROP TABLE IF EXISTS `{#}forum_posts`;
CREATE TABLE IF NOT EXISTS `{#}forum_posts` (
  `id` int(11) unsigned NOT NULL,
  `thread_id` int(11) unsigned NOT NULL,
  `user_id` int(11) unsigned NOT NULL,
  `is_pinned` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `is_hidden` tinyint(1) unsigned DEFAULT '0',
  `is_first` tinyint(1) DEFAULT NULL,
  `date_pub` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_last_modified` timestamp NULL DEFAULT NULL,
  `count_modified` int(11) unsigned NOT NULL DEFAULT '0',
  `from_thread` int(11) unsigned DEFAULT NULL,
  `rating` int(11) NOT NULL DEFAULT '0',
  `files` text,
  `content` text NOT NULL,
  `content_html` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Таблица с сообщениями форумов';

ALTER IGNORE TABLE `{#}forum_posts` ADD PRIMARY KEY (`id`), ADD KEY `thread_id` (`thread_id`), ADD KEY `user_id` (`user_id`), ADD FULLTEXT KEY `content_html` (`content_html`);

ALTER IGNORE TABLE `{#}forum_posts` MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT;

DROP TABLE IF EXISTS `{#}forum_threads`;
CREATE TABLE IF NOT EXISTS `{#}forum_threads` (
  `id` int(11) unsigned NOT NULL,
  `user_id` int(11) unsigned NOT NULL,
  `category_id` int(11) unsigned NOT NULL,
  `title` varchar(250) NOT NULL,
  `slug` varchar(150) NOT NULL,
  `description` varchar(250) DEFAULT NULL,
  `date_pub` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_last_modified` timestamp NULL DEFAULT NULL,
  `is_fixed` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `is_closed` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `is_pinned` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `from_cat` int(11) unsigned DEFAULT NULL,
  `posts_count` int(11) unsigned NOT NULL DEFAULT '0',
  `last_post` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Таблица с темами форумов';

ALTER IGNORE TABLE `{#}forum_threads` ADD PRIMARY KEY (`id`), ADD KEY `user_id` (`user_id`), ADD KEY `category_id` (`category_id`), ADD FULLTEXT KEY `title` (`title`), ADD FULLTEXT KEY `description` (`description`);

ALTER IGNORE TABLE `{#}forum_threads` MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT;

DELETE FROM `{#}widgets_pages` WHERE `controller` = 'forum';
INSERT INTO `{#}widgets_pages` (`controller`, `name`, `title_const`, `title_subject`, `title`, `url_mask`, `url_mask_not`) VALUES ('forum', 'main', 'LANG_WP_FORUM_MAIN_PAGE', 'Форум', NULL, 'forum', NULL), ('forum', 'all', 'LANG_WP_FORUM_ALL_PAGES', 'Форум', NULL, 'forum*', NULL), ('forum', 'list', 'LANG_WP_FORUM_LIST', 'Форум', NULL, 'forum/*', 'forum/*/t*'), ('forum', 'item', 'LANG_WP_FORUM_ITEM', 'Форум', NULL, 'forum/*/t*', NULL);

DELETE FROM `{#}perms_rules` WHERE `controller` = 'forum';
INSERT INTO `{#}perms_rules` (`controller`, `name`, `type`, `options`) VALUES
('forum', 'is_moderator', 'flag', NULL),
('forum', 'post_add', 'flag', NULL),
('forum', 'thread_add', 'flag', NULL),
('forum', 'attach_add', 'flag', NULL),
('forum', 'post_add_karma', 'number', NULL),
('forum', 'thread_add_karma', 'number', NULL),
('forum', 'poll_add', 'flag', NULL),
('forum', 'post_edit', 'list', 'own, all'),
('forum', 'post_edit_time', 'number', NULL),
('forum', 'thread_edit', 'list', 'own, all'),
('forum', 'subscribe', 'list', 'own,all'),
('forum', 'rate', 'flag', NULL);

DELETE FROM `{#}users_fields` WHERE `name` = 'forum_sign' AND `title` = 'Подпись к сообщениям на форуме';
INSERT INTO `{#}users_fields` (`ctype_id`, `name`, `title`, `hint`, `ordering`, `fieldset`, `type`, `is_in_list`, `is_in_item`, `is_in_filter`, `is_private`, `is_fixed`, `is_fixed_type`, `is_system`, `values`, `options`, `groups_read`, `groups_edit`, `filter_view`) VALUES
(NULL, 'forum_sign', 'Подпись к сообщениям на форуме', NULL, 12, 'Анкета', 'string', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '---\nmin_length: 0\nmax_length: 255\nshow_symbol_count: 1\nlabel_in_item: top\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\n', '---\n- 0\n', '---\n- 0\n', '---\n- 0\n');


DELETE FROM `{#}rss_feeds` WHERE `ctype_name` = 'forum';
INSERT INTO `{#}rss_feeds` (`ctype_id`, `ctype_name`, `title`, `description`, `image`, `mapping`, `limit`, `is_enabled`, `is_cache`, `cache_interval`, `date_cached`, `template`) VALUES (NULL, 'forum', 'Форумы', 'Новое на форумах', NULL, NULL, '15', '1', NULL, '60', NULL, 'forum');

DELETE FROM `{#}widgets` WHERE `name` = 'forum';
INSERT INTO `{#}widgets` (`controller`, `name`, `title`, `author`, `url`, `version`) VALUES
('forum', 'cats', 'Список форумов', 'InstantCMS Team', 'http://www.instantcms.ru', '2.0'),
('forum', 'threads', 'Темы на форуме', 'InstantCMS Team', 'http://www.instantcms.ru', '2.0'),
('forum', 'posts', 'Сообщения на форуме', 'InstantCMS Team', 'http://www.instantcms.ru', '2.0'),
('forum', 'stats', 'Статистика форума', 'InstantCMS Team', 'http://www.instantcms.ru', '2.0');