﻿<?php
	
	//-----------------------------------------------------------------------------------------------------//
	// ПЕРЕНОС СТАТЕЙ
	//-----------------------------------------------------------------------------------------------------//
	
	$start = microtime(true); // Вычисляем время старта скрипта
	
	echo "Таблица источника - {$pref}content";
	
	$this->db->query("TRUNCATE {#}con_{$articles}"); // Очищаем таблицу перед миграцией
	
	$this->db->query("TRUNCATE {#}con_{$articles}_cats"); // Очищаем таблицу перед миграцией
	
	$this->db->query("TRUNCATE {#}con_{$articles}_cats_bind"); // Очищаем таблицу перед миграцией
	
	$this->db->nestedSets->setTable('con_'.$articles.'_cats');
	$this->db->nestedSets->addRootNode();
	
	// Получаем категории кроме новостей (категория 2)
	$sql = $this->selectold('category', "id > 2 AND parent_id <> 2" );
	
	$cat_count = $this->counter('category');
	
	// Формируем массив имени типа контента для функции вставки 
	$ctype = array(); $ctype['name']= $articles; 
	
	// Формируем массив полей для функции вставки 
	$fields = cmsCore::getModel('content')->getContentFields($articles);
	
	// Перебор массива данных, полученных из источника
	foreach ($sql as $res){
		
		// Нет метакейсов - пишем нули
		$res['meta_keys'] = isset($res['meta_keys']) ? $res['meta_keys'] : NULL;
		
		$res['meta_desc'] = isset($res['meta_desc']) ? $res['meta_keys'] : NULL;
		
		if ($res['parent_id'] == 6){$res['parent_id'] = 1;}
		
		// Формируем слаг категории из заголовка
		$category_slug = $res['id'].'-'.lang_slug($res['title']);
		
		// Формируем массив для функции вставки 
		$cat = array(
		'id' => $res['id'],
		'parent_id' => $res['parent_id'],
		'title' => $res['title'],
		'slug' => $category_slug ,
		'seo_keys' => $res['meta_keys'],
		'seo_desc' => $res['meta_desc'],
		'seo_title' => $res['title'],
		'allow_add' => $res['is_public'] 
		);	
		$this->addCatmigrate('con_'.$articles.'_cats', $cat); // Вставляем данные в новую базу
		$this->update('con_'.$articles.'_cats', $res['id'], $cat);
		

	}
	
	
	// Получаем статьи кроме новостей (категория 2)
	$sql = $this->selectold('content', 'category_id <> 2' );
	
	
	
	// Перебор массива полученных данных
	foreach ($sql as $res){
	
	// Если нет рейтинга - пишем ноль
	$rating = isset($res['rating']) ? $res['rating'] : 0;
		
		// Формируем слаг статьи из заголовка
		$article_slug = $res['id'].'-'.lang_slug($res['title']);
		
		// Формируем массив для функции вставки
		$art = array(
		'id' => $res['id'], 
		'title' => $res['title'], 
		'content' => $res['content'], 
		'slug' => $article_slug, 
		'seo_keys' => $res['meta_keys'],
		'seo_desc' => $res['meta_desc'], 
		'seo_title' => $res['title'],
		'date_pub' => $res['pubdate'], 
		'is_pub' => '1', 
		'hits_count' => $res['hits'], 
		'user_id' => $res['user_id'],
		'parent_url' => $res['seolink'], 
		'parent_url' => $res['url'],
		'category_id' => $res['category_id'],
		'is_comments_on' => '1', 
		'comments' => '0', 
		'rating' => $rating, 
		'is_approved' => '1' 
		);
		
		// Вставляем данные в новую базу используя родную функцию движка
		cmsCore::getModel('content')->addContentItem($ctype, $art, $fields); 
	}
	
	// Меняем корневую категорию статей
	$this->replace('con_'.$articles.'', 'category_id', '6', '1');
	
	// Меняем корневую категорию статей
	$this->replace('con_'.$articles.'_cats', 'parent_id', '6', '1');
	
	// Удаляем старую корневую категорию статей
	$this->db->query("delete from {#}con_{$articles}_cats where id = 6");
	
	// Привязываем статьи к категориям
	$this->db->query("INSERT IGNORE INTO 
	{#}con_{$articles}_cats_bind (item_id, category_id) 
	SELECT id, category_id FROM {#}con_{$articles}"); 
	
	$this->tagsReplace("con_{$articles}"); // Правим теги в контенте
	
	$num = $this->db->getRowsCount('con_'.$articles.''); // Подсчет статей
	
	echo '<br/>Миграция статей завершена. <br/>
	
	Количество статей в таблице  =  '.$num;
	
	$runtime = microtime(true) - $start; // Вычисление времени выполнения скипта
	
	$this->runtime($runtime); // Отображение времени выполнения скипта
	
	
?>