﻿<?php
	
	//-----------------------------------------------------------------------------------------------------//
	// ПЕРЕНОС ВОПРОСОВ и ОТВЕТОВ
	//-----------------------------------------------------------------------------------------------------//
	
	$start = microtime(true);
	
	/* $this->db->importDump('system/controllers/emigrator/dumps/faq.sql', $delimiter = ';'); */
	
	// Очистка таблиц перед миграцией
	$this->db->query("TRUNCATE {#}con_{$faq}");
	$this->db->query("TRUNCATE {#}con_{$faq}_cats");
	$this->db->query("TRUNCATE {#}con_{$faq}_cats_bind");
	
	// Создаем корневую категорию
	$this->db->nestedSets->setTable('con_'.$faq.'_cats');
	$this->db->nestedSets->addRootNode();
	
	// Получение массива категорий
	$sql = $this->selectold("{$faq}_cats" );
	
	
	// Генерация имени контента
	$ctype = array(); $ctype['name']= $faq; 
	
	// Генерация массива имен полей контента
	$fields = cmsCore::getModel('content')->getContentFields($faq);
	
	// Перебор массива данных из исходной таблицы
	foreach ($sql as $res){
	
		
		if ($res['parent_id'] == 0){$res['parent_id'] = 1;}
		
		// Генерация слага из заголовка
		$category_slug = $res['id'].'-'.lang_slug($res['title']);
		
		// Формирование массива для вставки в новую таблицу
		$cat = array(
		'id' => $res['id'],
		'parent_id' => $res['parent_id'],
		'title' => $res['title'],
		'description' => $res['description'],
		'slug' => $category_slug
		);	
		
		// Вставка данных в новую таблицу
		$this->addCatmigrate('con_'.$faq.'_cats', $cat); // Вставляем данные в новую базу
		$this->update('con_'.$faq.'_cats', $res['id'], $cat);
	}
	
	// Получение массива вопросов и ответов
	$sql = $this->selectold('faq_quests', 'published = 1', 'ORDER BY id ASC');
	
	
	
	// Перебор массива данных полученных из источника
	foreach ($sql as $res){
		
		// Если нет рейтинга - пишем ноль
		if (empty($res['rating'])){$res['rating'] = 0;}
		
		
		// Генерация заголовка из текста
		$separator = array('?', '!', ',', ':', '.', '(');
		$string = $res['quest'];
		$i =0;
		while(!in_array($string[$i], $separator) && $i <= mb_strlen($string)){$i++;};
		$res['title'] = substr($res['quest'],0, $i);
		
		// Генерация слага из заголовка
		$faq_slug = $res['id'].'-'.lang_slug(substr($res['title'], 0, 40));
		
		
		
		// Формирование массива для инсерта
		$faqs = array(
		'id' => $res['id'],
		'title' => $res['title'],
		'content' => $res['quest'],
		'slug' => $faq_slug,
		'date_pub' => $res['pubdate'],
		'date_last_modified' => $res['pubdate'],
		'date_pub_end' => '0',
		'is_pub' => $res['published'],
		'hits_count' => $res['hits'],
		'user_id' => $res['user_id'],
		'category_id' => $res['category_id'],
		'is_comments_on' => '1',
		'is_approved' => '1',
		'date_approved' => $res['pubdate'],
		'is_private' => '0',
		'answer' => $res['answer'],
		'rating' => $res['rating']
		);
		
		
		
		// Вставка данных в новую базу используя родную функцию движка
		cmsCore::getModel('content')->addContentItem($ctype, $faqs, $fields);
		
		
	}
	
	// Подсчет количества вопросов
	$num = $this->db->getRowsCount("con_{$faq}");
	
	echo 'Миграция вопросов и ответов завершена. <br/>
	
	Количество записей в таблице con_faq =  '.$num;
	
	// Вычисление времени работы скрипта
	$runtime = microtime(true) - $start;
	
	// Отображение времени работы скрипта
	$this->runtime($runtime);
	
	
	
?>